#ifndef ECORR_H
#define ECORR_H

#include "../eintarray.h"

class evector;


double pearson_corr(edoublearray& x,edoublearray& y,double& pval);
double spearman_corr(edoublearray& x,edoublearray& y,double& pval);
double pearson_corr(edoublearray& x,edoublearray& y);
double spearman_corr(edoublearray& x,edoublearray& y);
double ecorr(const evector& x,const evector& y);
double eautocorr(const evector& x,int lag);


#endif

